skb_reserve
Prev | Socket Buffer Functions | Next

## Name

skb_reserve — adjust headroom

## Synopsis

`void skb_reserve (` | struct sk_buff * | skb,
| int | len`)`;

## Arguments

`skb`

  buffer to alter

`len`

  bytes to move

## Description

Increase the headroom of an empty &sk_buff by reducing the tail room. This is only allowed for an empty buffer.

Prev | Up | Next
skb_tailroom | Home | skb_trim